#!/usr/bin/env bash

VTR_RUNTIME_ESTIMATE_SECONDS=2135.91
VTR_MEMORY_ESTIMATE_BYTES=7313956864

VTR_RUNTIME_ESTIMATE_HUMAN_READABLE="36 minutes"
VTR_MEMORY_ESTIMATE_HUMAN_READABLE="6.81 GiB"

#We redirect all command output to both stdout and the log file with 'tee'.

#Begin I/O redirection
{

    /research/ece/lnis/USERS/tang/github/vtr-verilog-to-routing/vtr_flow/scripts/run_vtr_flow.pl /research/ece/lnis/USERS/tang/github/vtr-verilog-to-routing/vtr_flow/benchmarks/titan_blif/openCV_stratixiv_arch_timing.blif /research/ece/lnis/USERS/tang/github/vtr-verilog-to-routing/vtr_flow/arch/titan/stratixiv_arch.timing.xml   -name 'regression_tests/vtr_reg_weekly/vtr_reg_titan: stratixiv_arch.timing.xml/openCV_stratixiv_arch_timing.blif/common'   -temp_dir .  -starting_stage vpr --route_chan_width 300 --max_router_iterations 400 --router_lookahead map -timeout 172800

    #The IO redirection occurs in a sub-shell,
    #so we need to exit it with the correct code
    exit $?

} |& tee vtr_flow.out
#End I/O redirection

#We used a pipe to redirect IO.
#To get the correct exit status we need to exit with the
#status of the first element in the pipeline (i.e. the real
#command run above)
exit ${PIPESTATUS[0]}
